Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454053 - 1839938 - RHN auto-apply-errata is not working properly
Summary: 1839938 - RHN auto-apply-errata is not working properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn506
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard: us=41124
Depends On:
Blocks: 457802
TreeView+ depends on / blocked
 
Reported: 2008-07-04 05:54 UTC by Issue Tracker
Modified: 2018-10-20 03:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-08 12:15:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Issue Tracker 2008-07-04 05:54:13 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2008-07-04 05:54:14 UTC
All 111 systems I have on RHN currently show as out-of-date. Customer states: 

- I have had 0 scheduled actions since the rhn hosted 5.0.6
- The CRITICAL firefox errata hasn't been installed on any of my auto-errata
  systems
- The errata are sitting in NONE status. 

With the release of RHN hosted 5.0.6, errata application appears to be broken.  Nothing is getting scheduled.  appears to be the same issue as CRM tickets: 1782404 & 1373590.
This event sent from IssueTracker by vgaikwad  [SEG - RHN]
 issue 189800

Comment 7 Mike Orazi 2008-08-15 17:18:58 UTC
The root cause has been identified and is ready for the first pass at testing.

Comment 10 Amy Owens 2008-08-19 14:31:30 UTC
*** Bug 451813 has been marked as a duplicate of this bug. ***

Comment 11 Amy Owens 2008-08-20 15:23:33 UTC
marking as on dev---

Comment 15 daryl herzmann 2008-09-25 13:06:50 UTC
Hi,

What current indication do you have that this is indeed working?

daryl

Comment 16 Amy Owens 2008-09-25 13:19:12 UTC
Hi Daryl,

We put a code fix into production on 9/23/08. We are working through the queue of errata that need to be processed.  You should start to see actions scheduled by Redhat.

Thanks,
Amy

Comment 17 daryl herzmann 2008-09-25 13:42:00 UTC
Hi Amy,

Thanks for the update!  Looking at my account, I see 3 errata processed since 9/23/08.  Here they are and their times.

RHSA-2008:0893-2 - bzip2   9/24/08 12:25:20 PM CDT
RHSA-2008:0884-3 - libxml2 9/24/08 12:25:20 PM CDT
RHBA-2008:0876-3 - perl    9/23/08 7:27:12 PM CDT

How big is this queue?  Does it include everything since 2 July (roughly the date it broke)?

The reason I am pessimistic, is that the kernel errata from yesterday is in None status, which in the past, was a sign of a scheduling failure.

RHN hosted has been down a lot since 9/23 too, so maybe other issues are at hand.

daryl

Comment 18 Amy Owens 2008-09-25 15:47:45 UTC
Everything from July 2nd forward will be processed.  We expect that it will take awhile to catch up.

Comment 24 daryl herzmann 2008-10-08 00:50:29 UTC
Hi,

Strange, I didn't get an email that this was re-opened.  Indeed, it is busted again :(

daryl

Comment 25 Amy Owens 2008-10-08 12:15:03 UTC
There is a delay (a lot of errata to be processed yet) but this is not busted.  It got reopened as another customer was waiting on a specific errata to be processed.

Comment 26 daryl herzmann 2008-10-08 12:40:24 UTC
Hi Amy,

I am not sure what proof you have that auto-errata processing is working.  Nothing has been scheduled on my account in the past 7 days with all those associated errata sitting in 'None' status.

daryl

Comment 27 daryl herzmann 2008-10-09 12:51:02 UTC
Good day,

About an hour after I sent the previous message, 3 of the aforementioned errata got processed.  5-6 days late, but processed nonetheless.  I will be curious to see when yesterday's released errata will get processed.

daryl

Comment 29 daryl herzmann 2008-11-05 13:52:21 UTC
Hi,

The net-snmp errata was missed on my account (RHSA-2008:0971).  All machines currently sitting in "None" status....

daryl

Comment 30 Amy Owens 2008-11-05 14:04:05 UTC
Hey Daryl,
This errata is still in the queue. You should see this processed soon.


Thanks,
Amy

Comment 31 daryl herzmann 2008-11-06 13:38:33 UTC
Hi Amy,

Thanks for the response.  No change on the net-snmp errata.  All of the errata released on the 4th and 5th were processed timely, so how can this errata still be in a 'queue' ?

daryl

Comment 32 daryl herzmann 2008-11-10 14:33:58 UTC
Good morning,

Just to let you know there has been no change on the net-snmp errata.  It has been a week now....

daryl

Comment 33 daryl herzmann 2008-11-11 14:19:34 UTC
HI,

the net-snmp errata appears to have been processed now.  thanks!

Comment 34 daryl herzmann 2008-11-13 17:33:18 UTC
Hi,

FYI, firefox errata RHSA-2008:0978 , in None status...

If queue processing is expected to take more than a day to complete, that should be documented somewhere.  Otherwise, please reopen this ticket as it is not working.

daryl

Comment 35 daryl herzmann 2008-11-14 13:33:19 UTC
Good morning,

No change, still "None" status on RHSA-2008:0978.

daryl

Comment 36 daryl herzmann 2008-11-17 13:57:17 UTC
Good morning,

Still no change on the critical firefox errata.

daryl

Comment 39 daryl herzmann 2008-11-18 13:43:04 UTC
Hello,

The firefox errata was processed last night it seems.  When will these ~7 day delays stop occuring?

daryl

Comment 40 daryl herzmann 2008-11-19 13:27:28 UTC
Hi,

:( Now it appears we are in the waiting pattern for libxml2 RHSA-2008:0988 , why is this still happening?

daryl


Note You need to log in before you can comment on or make changes to this bug.